Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.transformer
Class KeyTable

    java.lang.Object
      |
      +--org.apache.xalan.transformer.KeyTable

public class KeyTable
extends java.lang.Object

**For advanced use only** Table of element keys, keyed by document node. An instance of this class is keyed by a Document node that should be matched with the root of the current context. It contains a table of name mappings to tables that contain mappings of identifier values to nodes.

Constructor Summary
`KeyTable(Node doc, PrefixResolver nscontext, QName name, java.util.Vector keyDeclarations, XPathContext xmlLiaison)` **For advanced use only** Build a keys table.

Method Summary
`Node` | `getDocKey()` **For advanced use only**
`QName` | `getKeyTableName()` **For advanced use only**
`KeyIterator` | `getNodeSetByKey(QName name, java.lang.String ref)` **For advanced use only** Given a valid element key, return the corresponding node list.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyTable

    public KeyTable(Node doc,
                    PrefixResolver nscontext,
                    QName name,
                    java.util.Vector keyDeclarations,
                    XPathContext xmlLiaison)
             throws SAXException

  **For advanced use only** Build a keys table.
  Parameters:
    `doc` - The owner document key (normally the same as startNode).
    `startNode` - The node to start itterating from to build the keys index.
    `nscontext` - The stylesheet's namespace context.
    `keyDeclarations` - The stylesheet's xsl:key declarations.
    `xmlLiaison` - The parser liaison for support of getNodeData(useNode).

Method Detail

### getDocKey

    public Node getDocKey()

### getNodeSetByKey

    public KeyIterator getNodeSetByKey(QName name,
                                       java.lang.String ref)

  **For advanced use only** Given a valid element key, return the corresponding node list.
  Parameters:
    `The` - name of the key, which must match the 'name' attribute on xsl:key.
    `ref` - The value that must match the value found by the 'match' attribute on xsl:key.
  Returns:
    If the name was not declared with xsl:key, this will return null, if the identifier is not found, it will return null, otherwise it will return a LocPathIterator instance.

### getKeyTableName

    public QName getKeyTableName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.